#
# spec file for package microarch-rpm-macros
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           microarch-rpm-macros
Version:        0.1
Release:        3.230
Summary:        RPM macros to support microarchitecture packages
License:        LGPL-2.1-or-later
Group:          Development/Tools/Building
URL:            https://hackweek.suse.com/20/projects/support-glibc-hwcaps-and-micro-architecture-package-generation
Source0:        macros.microarch
BuildRequires:  microarch-filesystem
Requires:       microarch-filesystem
BuildArch:      noarch

%description
This package provides RPM macros that help build and package libraries
for different microarchitectures like x86-64-v2, x86-64-v3 and x86-64-v4.

%prep

%build

%install
install -Dm644 %{S:0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.microarch


%files
%{_rpmconfigdir}/macros.d/macros.microarch

%changelog
* Thu Mar 25 2021 Antonio Larrosa <alarrosa@suse.com>
- Initial release of microarch-rpm-macros 0.1
